Bug 1680165 (CVE-2019-0816) - CVE-2019-0816 cloud-init: extra ssh keys added to authorized_keys on the Azure platform
Summary: CVE-2019-0816 cloud-init: extra ssh keys added to authorized_keys on the Azur...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0816
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Yuxin Sun
URL:
Whiteboard:
Depends On: 1688366 1684038 1684040 1686578 1688367 1714749 1714767
Blocks: 1680169
TreeView+ depends on / blocked
 
Reported: 2019-02-22 21:27 UTC by Laura Pardo
Modified: 2019-09-29 15:08 UTC (History)
24 users (show)

Fixed In Version: cloud-init 19.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 08:32:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0597 None None None 2019-03-18 18:33:30 UTC

Description Laura Pardo 2019-02-22 21:27:28 UTC
A vulnerability was found in the Azure plugin of cloud-init. The entire list of certificates and public keys exposed from the wireserver is added to the authorized_keys file for the user-to-be-provisioned, regardless of whether they belong to the user or not.


Upstream commit:
https://code.launchpad.net/~jasonzio/cloud-init/+git/cloud-init/+merge/363445

Comment 20 Cedric Buissart 🐶 2019-03-13 15:46:28 UTC
Created cloud-init tracking bugs for this issue:

Affects: epel-6 [bug 1688367]
Affects: fedora-all [bug 1688366]

Comment 21 errata-xmlrpc 2019-03-18 18:33:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0597 https://access.redhat.com/errata/RHSA-2019:0597


Note You need to log in before you can comment on or make changes to this bug.